#!/usr/bin/env python
"""runs through an apbs potential file (dx format) and outputs point potentials

   a wrapper for other scripts
   
   requires a file name as an argument

   Copyright 2005, Mark Engelhardt (marke@stanford.edu)
"""

import apbs_grid_pot as pot

import sys
from math import sqrt

# denom is used to convert between units of distance at a 45 degree angle and
# the image of this distance along the vector at a 0 degree angle
denom = sqrt(2)

grid = pot.APBS_grid(sys.argv[1])
for i in range (40):
  j = float(i)/denom/2
  print j, grid.PotLookup([j, j, 0], cutoff = 1)

# look up the value at a distance of 10 units along the axis for comparison
# to the values published in Rocchia et al.
print "10", grid.PotLookup([10,10,0], cutoff = 1)
